package com.ssm.manage.service.impl;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.impl.BaseServiceImpl;
import com.ssm.manage.dao.SsmSysPowerDao;
import com.ssm.manage.entity.SysPower;
import com.ssm.manage.query.PowerRequest;
import com.ssm.manage.service.SsmSysPowerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SsmSysPowerServiceImpl extends BaseServiceImpl<SysPower> implements SsmSysPowerService {
    @Autowired
    SsmSysPowerDao dao;

    @Override
    public SsmSysPowerDao getDao() {
        return dao;
    }

    @Override
    public PageInfo<SysPower> selectPage(PowerRequest powerRequest) {
        return dao.selectPage(powerRequest);
    }

    @Override
    public void deleteByPowerId(Integer powerId) {
        dao.deleteByPowerId(powerId);
    }
}
